import { Settings, LoginResponse } from '../models';
export declare class DrupalConstants {
    private static instance;
    private settings;
    private connection;
    private token;
    private tokenInit;
    /**
     * Init the module with Drupal 8 website configs
     * @param settings Drupal 8 back-end config
     */
    static init(settings: Settings): void;
    static get Token(): string;
    static set Token(value: string);
    static get TokenInit(): boolean;
    static set TokenInit(value: boolean);
    /**
     * Get the settings object, Supports dynamic config
     */
    static get Settings(): Settings;
    /**
     * Get the back-end structured url
     */
    static get backEndUrl(): string;
    /**
     * Get Singleton instance
     */
    private static get Instance();
    /**
     * Set the current connection info
     */
    static set Connection(newConnection: LoginResponse);
    /**
     * Get current connection info
     */
    static get Connection(): LoginResponse;
}
