import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { CartOrder, CartProductAdd, CommerceOrder, CommerceOrderEntity, CommercePayment, CommercePaymentEntity } from '../models';
import * as i0 from "@angular/core";
export declare class CommerceService extends BaseService {
    getCart(): Observable<CartOrder[]>;
    getCartOrder(orderId: number): Observable<CartOrder>;
    addToCart(data: CartProductAdd[]): Observable<CartOrder[]>;
    updateCartOrderItems(orderId: number, items: {
        [key: number]: {
            quantity: number;
        };
    }): Observable<CartOrder>;
    deleteCartOrderItem(orderId: number, itemId: number): Observable<null>;
    deleteCartOrderItems(orderId: number): Observable<null>;
    createOrder(order: CommerceOrder): Observable<CommerceOrderEntity>;
    createPayment(orderId: number, payment: CommercePayment): Observable<CommercePaymentEntity>;
    capturePayment(orderId: number, paymenId: number): Observable<null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommerceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommerceService>;
}
