import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { ContentEntity, ContentType } from '../models';
import * as i0 from "@angular/core";
export declare class ContentService extends BaseService {
    /**
     * Implement resource /node/{node} GET
     * @param nid the node id
     */
    get(nid: number): Observable<ContentEntity>;
    /**
     * Implement resource /node: POST
     * @param content node object to create
     */
    create(content: ContentEntity): Observable<ContentEntity>;
    /**
     * Implement resource /node/{node}: PATCH
     * @param nid node id to update
     * @param content node object with required values
     */
    update(nid: number, content: ContentEntity): Observable<ContentEntity>;
    /**
     * Implement resource /node/{node}: DELETE
     * @param nid content id to delete
     */
    delete(nid: number): Observable<null>;
    /**
     * Implement resource /entity/node_type/{node_type}
     * @param type node type or machine name like page, article
     */
    contentType(type: string): Observable<ContentType>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContentService>;
}
