import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { FileEntity } from '../models';
import * as i0 from "@angular/core";
export declare class FileService extends BaseService {
    /**
     * Implement resource /entity/file/{file}: GET
     * @param fid the file id
     */
    get(fid: number): Observable<FileEntity>;
    /**
     * Implement resource /file/upload/{entity_type_id}/{bundle}/{field_name}: POST
     * @param file the file to create
     */
    upload(entityType: string, bundle: string, fieldName: string, file: File): Observable<FileEntity>;
    /**
     * Implement resource /entity/file/{file}: PATCH
     * @param fid the file id
     * @param file the file content to be updated
     */
    update(fid: number, file: FileEntity): Observable<FileEntity>;
    /**
     * Implement resource /entity/file/{file}: DELETE
     * @param fid the file id
     */
    delete(fid: number): Observable<null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileService>;
}
