import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { FlagRegisteration, FlagEntity } from '../models';
import * as i0 from "@angular/core";
export declare class FlagService extends BaseService {
    /**
     * Implement resource /entity/flagging/{flagging}: GET
     * @param fid the flag id
     */
    get(fid: number): Observable<FlagEntity>;
    /**
     * Implement resource /entity/flagging: POST
     * @param flag: flag content
     */
    post(flag: FlagRegisteration): Observable<FlagEntity>;
    update(fid: number, flag: FlagEntity): Observable<FlagEntity>;
    delete(fid: number): Observable<null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FlagService>;
}
