import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { MediaEntity, MediaType } from '../models';
import * as i0 from "@angular/core";
export declare class MediaService extends BaseService {
    /**
     * Implement resource /media/{media}/edit GET
     * @param mid the media id
     */
    get(mid: number): Observable<MediaEntity>;
    /**
     * Implement resource /entity/media: POST
     * @param media media object to create
     */
    create(media: MediaEntity): Observable<MediaEntity>;
    /**
     * Implement resource /media/{media}/edit: PATCH
     * @param mid media id to update
     * @param media media object with required values
     */
    update(mid: number, media: MediaEntity): Observable<MediaEntity>;
    /**
     * Implement resource /media/{media}/edit: DELETE
     * @param mid media id to delete
     */
    delete(mid: number): Observable<null>;
    /**
     * Implement resource /entity/media_type/{media_type}
     * @param type media type or machine name like audio, image and video
     */
    mediaType(type: string): Observable<MediaType>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MediaService>;
}
