import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { TaxonomyTermEntity, TaxonomyVocabularyEntity } from '../models';
import * as i0 from "@angular/core";
export declare class TaxonomyService extends BaseService {
    /**
     * Implement resource /taxonomy/term/{taxonomy_term} GET
     * @param tid the term id
     */
    get(tid: number): Observable<TaxonomyTermEntity>;
    /**
     * Implement resource /taxonomy/term: POST
     * @param term term object to create
     */
    create(term: TaxonomyTermEntity): Observable<TaxonomyTermEntity>;
    /**
     * Implement resource /taxonomy/term/{taxonomy_term}: PATCH
     * @param tid node id to update
     * @param term term object with required values
     */
    update(tid: number, term: TaxonomyTermEntity): Observable<TaxonomyTermEntity>;
    /**
     * Implement resource /taxonomy/term/{taxonomy_term}: DELETE
     * @param tid term id to delete
     */
    delete(tid: number): Observable<null>;
    /**
     * Implement /entity/taxonomy_vocabulary/{taxonomy_vocabulary}: Get
     * @param machineName vocabulary machine name like tags
     */
    vocabulary(machineName: string): Observable<TaxonomyVocabularyEntity>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaxonomyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TaxonomyService>;
}
