import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { ViewOptions, ViewEntity } from '../models';
import * as i0 from "@angular/core";
export declare class ViewService extends BaseService {
    /**
     * Implements /entity/view/{view}: GET
     * Get view result
     * @param machineName view machine name
     */
    getView(machineName: string): Observable<ViewEntity>;
    /**
     * Implements Views rest export
     * Returns array of view rows
     * @param viewPath the view url path, EX: '/view/my_custom_view_path'
     */
    get(viewPath: string, viewOptions?: ViewOptions): Observable<any[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ViewService>;
}
